'use strict';

angular.module('ark-searchable-input', [])
  .directive('arkSearchableInput', function() {
    return {
      templateUrl: 'app/modules/context-services/searchable-input.html',
      restrict: 'E',
      scope: {
        'inputData': '=inputData',
        'inputModel': '=inputModel',
        'showIf': '=showIf'
      },
      controller: function($scope) {
        $scope.updateModel = function(value) {
          $scope.inputModel = value;
        };
        $scope.alwaysShow = true;
      }
    }
  });
